<?php
//Include the head file
require("../../inc/header.inc");
?>
<base target="service_detail_down">
<script language="JavaScript">
	function sel_date_from_change()
	{
		//sel_date_from,sel_date_to,scroll_y,on_top_index1,on_top_index2
		var down_date_from=document.myform.sel_date_from.value;
		var down_date_to=document.myform.sel_date_to.value;
		var ser_type=document.myform.service_type.value;
		var on_top=parent.service_detail_down.document.myform.on_top_index.value;
		//var scrolly=document.body.scrollTop;
		if(down_date_from<=down_date_to)
			down_date_to=down_date_from;
		
		//alert(ser_type);
		//var urll='<?php echo"$PHP_SELF";?>?sel_date_from='+down_date_from+'&sel_date_to='+down_date_to+'&service_type='+ser_type+"&on_top_index="+on_top+"&scroll_y="+scrolly;
		var urll='<?php echo"$PHP_SELF";?>?sel_date_from='+down_date_from+'&sel_date_to='+down_date_to+'&service_type='+ser_type+"&on_top_index="+on_top;
		window.location.href=urll;
	}
</script>
<body  leftmargin="15" rightmargin="10" onload="javascript:adjust_frame('up');" onresize="javascript:adjust_frame('up');" style="overflow:hidden;overflow-x:hidden;overflow-y:hidden;">
<form name="myform" action="service_detail_down.php" method="post">
<?php

adjust_head_frame("up");
adjust_title_head_frame("up");
	//==================get the parameter the previous transfer====================
	$old_sel_date_from=$sel_date_from;
	$old_sel_date_to=$sel_date_to;
	//===========================page title========================================
	echo "<table id=\"table_up\" border=0 width=\"100%\">";
	echo "<tr>";
	echo "<td width=50% align=\"left\"><nobr>";
	echo "$strTitlePerformance > MSC > $strService";
	echo "</td>";
	echo "<td width=50% align=\"right\"><nobr>";
	$helpId="3.2.1";
	showHelp($helpId);
	echo "</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td width=50% align=\"left\">";
	
	//=======================data initial==========================================
	if(!isset($sel_date_from))
		$sel_date_from=0;
	if(!isset($sel_date_to))
		$sel_date_to=0;
	if(!isset($service_type))
		$service_type=0;	
	if(!isset($on_top_index))
		$on_top_index=0;	
	
	//selection date define
	$day0=date("Y-m-d",mktime(0,0,0,date("m"),date("d"),date("Y")));
	$day1=date("Y-m-d",mktime(0,0,0,date("m"),date("d")-1,date("Y")));
	$day2=date("Y-m-d",mktime(0,0,0,date("m"),date("d")-2,date("Y")));
	$day3=date("Y-m-d",mktime(0,0,0,date("m"),date("d")-3,date("Y")));
	$day4=date("Y-m-d",mktime(0,0,0,date("m"),date("d")-4,date("Y")));
	$day5=date("Y-m-d",mktime(0,0,0,date("m"),date("d")-5,date("Y")));
	$day6=date("Y-m-d",mktime(0,0,0,date("m"),date("d")-6,date("Y")));	
	
	echo "<input type=\"hidden\" name=\"service_type\" value=$service_type>";
?>
<select name="sel_date_from" onChange="javascript:sel_date_from_change()">
			<?php
				for($i=0;$i<7;$i++)
		  	{
			 		if($i==$sel_date_from)
		  			echo "<option selected value=$i>${day.$i}</option>";			
		  		else
		  			echo "<option value=$i>${day.$i}</option>";
				}
			?>
</select>&nbsp;to&nbsp;
<select name="sel_date_to">
			<?php
				for($i=0;$i<=$sel_date_from;$i++)
		  	{
			 		if($i==$sel_date_to)
		  			echo "<option selected value=$i>${day.$i}</option>";			
		  		else
		  			echo "<option value=$i>${day.$i}</option>";
				}
			?>
</select>
<span onClick="javascript:myform.submit()" style="cursor:hand">
	<IMG align=absBottom border=0 src="../../images/search.gif" ><?php echo "$strSearch"; ?>
</span>
<?php	
	echo "</td>";
	echo "<td width=50% align=\"right\">";
	
	//===================the back link button======================================
	echo "<a target=\"_parent\" href=\"../../performance/mscCsta/service_general_index.php?sel_date_from=$old_sel_date_from&sel_date_to=$old_sel_date_to&scroll_y=0\"><img src=\"../../images/left.gif\" border=0></img>back</a>";
?>
&nbsp;
<a href=# onClick="window.print();" style="cursor:hand">
	<img align=absBottom border=0 src="../../images/printer.gif" width="16" height="16">
</a>
<?php
	echo "</td>";
	echo "</tr>";
	echo "</table>";
	
adjust_title_tail_frame("up");
adjust_content_head_frame("up");
adjust_content_tail_frame("up");	
	
	
?>


	